> ## Documentation Index
> Fetch the complete documentation index at: https://docs.up.telestream.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Returns a list of workflows that customer has configured.



## OpenAPI

````yaml https://api.up.telestream.com/workflow/api/v1/openapi.yaml get /{space_id}/workflows
openapi: 3.0.3
info:
  title: UP.Workflow API Specification
  version: 1.0.0
  description: Telestream UP.Workflow API Specification
  termsOfService: https://www.telestream.net/telestream-cloud/terms.htm
  contact:
    name: API Support
    url: https://www.telestream.com
    email: cloudsupport@telestream.net
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://api.up.telestream.com/workflow/api/v1
security:
  - BearerAuth: []
tags:
  - name: workflow
    description: Operations related to the workflow level
  - name: job
    description: Operations related to the job level
  - name: access
    description: Operations related to the access level
paths:
  /{space_id}/workflows:
    parameters:
      - $ref: '#/components/parameters/space_id'
    get:
      tags:
        - workflow
      summary: Returns a list of workflows that customer has configured.
      operationId: listWorkflows
      parameters:
        - $ref: '#/components/parameters/page'
        - $ref: '#/components/parameters/per_page'
        - name: status
          description: Filter Workflows by status
          in: query
          schema:
            type: array
            items:
              type: string
              enum:
                - active
                - archived
                - deleted
                - idle
            default:
              - active
              - idle
          example:
            - active
            - idle
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkflowsCollection'
          description: List Workflows
        '401':
          $ref: '#/components/responses/Unauthorized'
        '500':
          $ref: '#/components/responses/InternalError'
      security:
        - BearerAuth:
            - workflow:access
components:
  parameters:
    space_id:
      name: space_id
      description: UP Space Id
      schema:
        type: string
        format: uuid
        example: d290f1ee-6c54-4b01-90e6-d701748f0851
      in: path
      required: true
    page:
      name: page
      description: Page
      schema:
        default: 1
        type: integer
      in: query
      required: false
    per_page:
      name: per_page
      description: Number of entries per page
      schema:
        default: 30
        type: integer
      in: query
      required: false
  schemas:
    WorkflowsCollection:
      type: object
      properties:
        workflows:
          description: List of projects for current page
          type: array
          items:
            $ref: '#/components/schemas/Workflow'
        page:
          description: Number of current page
          type: integer
          example:
            - 1
        per_page:
          description: Quantity of Workflows to show on one page
          type: integer
          example:
            - 30
        page_count:
          description: Total number of pages
          type: integer
          example:
            - 1
        total_count:
          description: Total number of Workflows
          type: integer
          example:
            - 1
    Workflow:
      type: object
      properties:
        name:
          description: Workflow name
          type: string
          example: IPTV&Multiscreen
        description:
          description: Describes the Workflow purpose
          type: string
          readOnly: true
          example: >-
            This workflow is producing multiple outputs - one CableLabs
            compliant and MP4 proxy
        identifier:
          description: This is the GUID for the Workflow
          type: string
          readOnly: true
          example: e3c908ad-dc8f-4edb-88f7-c84dec0aef99
        created_at:
          format: date-time
          description: >-
            Timestamp when Workflow was created in the Cloud service UTC time in
            iso8601 format
          type: string
          readOnly: true
          example: '2020-01-21T15:53:12.388317Z'
        updated_at:
          format: date-time
          description: >-
            Timestamp when Workflow was updated in the Cloud service UTC time in
            iso8601 format
          type: string
          readOnly: true
          example: '2020-01-22T15:53:12.182617Z'
        status:
          enum:
            - idle
            - active
            - archived
            - deleted
            - invalid
          type: string
          nullable: true
          readOnly: true
  responses:
    Unauthorized:
      content:
        application/json:
          schema:
            type: object
            properties:
              error_message:
                type: string
            example:
              error_message: You don't have permission to access this resource
      description: Not authorized
    InternalError:
      content:
        application/json:
          schema:
            type: object
            properties:
              error_message:
                type: string
            example:
              error_message: 500 internal error
      description: 500 Internal error
  securitySchemes:
    BearerAuth:
      type: oauth2
      description: API key passed as a Bearer token in the Authorization header
      flows:
        implicit:
          authorizationUrl: /auth/oauth2
          scopes:
            workflow:access: Basic access
            workflow:workflow-management: Management access
            workflow:admin: Admin access

````